Skip to main content

SUCCESSFUL_TRANSACTION


Supported Network

Network

Supporting

Ethereum Mainnet

Ethereum Testnet (sepolia)

Ethereum Testnet (holesky)

Polygon Mainnet

Polygon Testnet (amoy)

Arbitrum Mainnet

Arbitrum Testnet (sepolia)

Optimism Mainnet

Optimism Testnet (sepolia)

Kaia Mainnet

Kaia Testnet (kairos)

Aptos Mainnet

Aptos Testnet



Conditions

When eventType is set to SUCCESSFUL_TRANSACTION, the available condition object fields are listed below.

Key

Type

Required

Description

Example Value

addresses

Array of String

true

List of sender addresses to monitor. A notification is received when a transaction with any of the listed addresses in the from field occurs.

["0x6f76C54ea83b2a66Bd3B11456623b366AecaD510",
"0x56Eddb7aa87536c09CCc2793473599fD21A8b17F"]

Response Example

subscription_connected The user(8350954814192461336) is connected. socketId: f9JLU_9tMsQzqM-SAAAg
registered messageId: 123,
subscriptionId: 5082
subscription Event : subscriptionId: 5082,
eventType: SUCCESSFUL_TRANSACTION,
event: {
"targetAddress": "0x5acaf7c064f609c1ac40648f200d1160cb3b054f", , // ⚠️ This field will be deprecated soon
"targetAddresses": [
"0x5acaf7c064f609c1ac40648f200d1160cb3b054f"
],
"messages": [
{
"block_hash": "0x1fec2a55867845ce50cb8a366d54f82913bc27bdc58c3017ec4a3a4a2265b57a",
"block_number": 21570407,
"block_timestamp": 1736226539,
"from_address": "0x5acaf7c064f609c1ac40648f200d1160cb3b054f",
"gas": 149087,
"gas_price": 6486868201,
"hash": "0xe0a45a408dab3c86b14f54ee8dade2133915e598425507981caed00af8f8dc90",
"input": "0x3912521500000000000000000000000012e3354a746609979792ff1c10481500212945ed000000000000000000000000000000000000000000000000061343b4322c2c0000000000000000000000000000000000000000000000000000000000000000c0000000000000000000000000000000000000000000000000000000006785f15800000000000000000000000000000000000000000000000000000000000037c300000000000000000000000000000000000000000000000000000000000000e0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000417623b91cb7ce0f66756f991545a1adf58abdd490ff60dcc2ab840651b62a7eee3d85e1bcac320ffa1a39f1da098035d8b8ff7f807bfb598a4146d211535accd01c00000000000000000000000000000000000000000000000000000000000000",
"max_fee_per_gas": 11951019419,
"max_priority_fee_per_gas": 1150000005,
"nonce": 92697,
"to_address": "0xc685e430cfbe5070b5a76cfd5da8f234698b2be2",
"transaction_index": 23,
"transaction_type": 2,
"value": "0",
"access_list": [],
"receipt_contract_address": null,
"receipt_cumulative_gas_used": 2431343,
"receipt_effective_gas_price": 6486868201,
"receipt_gas_used": 78194,
"receipt_root": null,
"receipt_status": 1,
"type": "transaction"
}
]
}